<?php 

		if($cfg['Rate_Limiting']) { ?>
		  
			<?php
// File for storing IP addresses
$logFile = 'rate_limiting/log/ip_log.txt';

// Retrieve the visitor's IP address
$visitorIP = $_SERVER['REMOTE_ADDR'];

// Read the log file to count the existing IP entries
$logData = file_exists($logFile) ? file_get_contents($logFile) : '';
$ipList = explode("\n", trim($logData));

// Count how many times the IP address has been recorded
$ipCount = 0;
foreach ($ipList as $line) {
    if ($line === $visitorIP) {
        $ipCount++;
    }
}

// If the IP address has been accessed more than 100 times, display a warning
if ($ipCount >= $Maximum_views) {
    echo '<style>
        .centered-container {
            display: flex;
            justify-content: center;
            align-items: center;
            
            margin: 0;
            padding: 20px; /* Margin */
            box-sizing: border-box; /* Including padding in the height and width */
        }

        .message-container {
            background-color: #fff;
            padding: 10px;
            border-radius: 10px;
            box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
            text-align: center;
            max-width: 90%;
            width: 100%;
            /* Avoiding overflow on small screens */
            box-sizing: border-box; 
            margin-bottom: 10px; /* Large margin at the bottom */
        }

        .message {
            color: #d9534f; /* Red color for warnings */
            font-size: 18px;
            line-height:27px;
            font-family: Verdana, sans-serif; /* Verdana font */
        }
    </style>
<div class="centered-container">
        <div class="message-container">
            <p><img src="img/failed.png" style="" /></p>
            <p class="message">Unusual activities have been detected.</p>
            <p class="message">The form will be available again shortly.</p>
        </div>
    </div>';
    exit;
    
}

// Add the IP address to the log file
file_put_contents($logFile, $visitorIP . "\n", FILE_APPEND | LOCK_EX);


?>
		  
		  

<?php } 

		
?>		